package info.bukova.isspst.ui;

import java.util.ArrayList;
import java.util.List;

public class ListChecks<T> {
	
	private List<Check<T>> checks;
	
	public ListChecks(List<T> destList, List<T> sourceList) {
		checks = new ArrayList<Check<T>>();
		for (T member : sourceList) {
			checks.add(new Check<T>(destList, member));
		}
	}

	public List<Check<T>> getChecks() {
		return checks;
	}

}
